<?php

namespace App\Generated\V1\Messages\Notice;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetNoticeByKeyToIntMessage extends Message
{
    use ValueHelper;

    protected $key;
    protected $result;

    /**
     * 通知key
     * @return string
     */
    public function getKey()
    {
        return $this->key;
    }

    public function requestRules()
    {
        return [
            ['key', 'key', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
